
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用CSS样式position:fixed水平滚动的方法_jquery / iVAN</title>

    <meta name="description" content="使用CSS样式position:fixed水平滚动的方法_jquery 使用CSS样式&quot;position:fixed&quot;可以使div块固定在一个固定位置,即使有滚动条也不会改变其位置.position:fixed给很多开发者带来了惊艳的效果,然而当出现水平滚动条时,效果就不那么容易接受了.有时候我们希望当出现水平滚动条时,div块可以随滚动条左右移动,实现垂直固定定位(fixed),水平相对定位(absolute).本文提供一个解决方法,附jquery扩展源码. 本文的实现方式是使用js来控制div块随滚动条水平滚动,原理就是当window对象发生 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用CSS样式position:fixed水平滚动的方法_jquery</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>使用CSS样式"position:fixed"可以使div块固定在一个固定位置，即使有滚动条也不会改变其位置。position:fixed给很多开发者带来了惊艳的效果，然而当出现水平滚动条时，效果就不那么容易接受了。有时候我们希望当出现水平滚动条时，div块可以随滚动条左右移动，实现垂直固定定位（fixed），水平相对定位（absolute）。本文提供一个解决方法，附jquery扩展源码。</p>
<p>本文的实现方式是使用js来控制div块随滚动条水平滚动，原理就是当window对象发生scroll事件和resize事件使，更新div块的left或right的值，使其相对浏览器左边或右边的位置实时改变。div块需要时position:fixed样式修饰。</p>
<p>当div块在水平方向上是相对浏览器右边固定的，那么当window对象发生scroll或resize事件时，就更新其right样式值，其值应该是：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>var new_right = ($(window).scrollLeft() + $(window).width() - $(document).width() + original_right) + 'px'</p>
<p>当div块在水平方向上是相对浏览器左边固定的，那么当window对象发生scroll或resize事件时，就更新其left样式值，其值应该是：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>var new_left = (original_left - $(window).scrollLeft()) + 'px'</p>
<p>上面代码中出现的original_left和original_right是最初div块的left和right值。完整的jquery扩展代码如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>(function($){ <br />$.ScrollFixed = function(el, options){ <br />var base = this; <br />base.$el = $(el); <br />base.el = el; <br />var target = base.$el; <br />var original_left = parseInt(target.css('left')); <br />var original_right = parseInt(target.css('right'));</p>
<p>var _fix_position = function(){ <br />if(base.options.fixed == 'right'){ <br />target.css('right', ($(window).scrollLeft() + $(window).width() - $(document).width() + original_right) + 'px'); <br />} else if(base.options.fixed == 'left'){ <br />target.css('left', (original_left - $(window).scrollLeft()) + 'px'); <br />} <br />};</p>
<p>var windowResize = function(){ <br />_fix_position(); <br />};</p>
<p>var windowScroll = function(){ <br />_fix_position(); <br />};</p>
<p>base.init = function(){ <br />base.options = $.extend({}, $.ScrollFixed.defaultOptions, options); <br />$(window).resize(windowResize); <br />$(window).scroll(windowScroll); <br />_fix_position(); <br />console.log(base.options.fixed); <br />};</p>
<p>base.init(); <br />};</p>
<p>$.ScrollFixed.defaultOptions = { <br />fixed:'left' <br />};</p>
<p>$.fn.scrollFixed = function(options){ <br />return this.each(function(){ <br />(new $.ScrollFixed(this, options)); <br />}); <br />}; <br />})(jQuery);</p>
<p>使用实例：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$('#leftsider').scrollFixed({fixed:'left'}); <br />$('#rightsider').scrollFixed({fixed:'right'});</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:59:43</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/position-fixed/" title="position&colon;fixed">position&colon;fixed</a>, <a href="https://www.iamivan.net/tag/%e6%b0%b4%e5%b9%b3%e6%bb%9a%e5%8a%a8/" title="水平滚动">水平滚动</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用CSS样式position:fixed水平滚动的方法_jquery的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0P7AM.html" rel="bookmark">使用CSS样式position&colon;fixed水平滚动的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了使用CSS样式position:fixed水平滚动的方法,需要的朋友可以参考下 使用CSS样式&quot;position:fixed&quot;可以使div块固定在一个固定位置,即使有滚动条也不会改变其位置.position:fixed给很多开发者带来了惊艳的效果,然而当出现水平滚动条时,效果就不那么容易接受了.有时候我们希望当出现水平滚动条时,div块可以随滚动条左右移动,实现垂直固定定位(fixed),水平相对定位(absolute).本文提供一个解决方法,附jquery扩展源码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0N3emz.html" rel="bookmark">css ie6 position&colon;fixed无效的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我用到了css教程的一个属性position:fixed,但遗憾的是在IE6下这个属性不起作用,悲剧的IE6,于是便找解决方案,现把最佳的解决方案拿出来与大家分享,或许不久的将来你能用上. 1.要实现的效果如下图: 这时弹出提示在浏览器最右上角可见区   这时浏览器向下滚动了一下,但要让弹出层保持在浏览器最右上角可见区   2.兼容的解决方案代码如下:   .loading_tip {  position: fixed; _position: absolute; top: 10px;  righ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXxlK4p.html" rel="bookmark">css中position&colon;fixed实现div居中</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上下左右 居中  代码如下 复制代码 div{     position:fixed;     margin:auto;     left:0;     right:0;     top:0;     bottom:0;     width:200px;     height:150px; } 如果只需要左右居中,那么把 bottom:0; 或者 top:0; 删掉即可 如果只需要上下居中,那么把 left:0; 或者 right:0; 即可 下面附一个DIV 元素在浏览器窗口居中 其实,实现这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLEP6M.html" rel="bookmark">js获取页面引用的css样式表中的属性值方法&lpar;推荐&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示: function getStyle(node, property){ if (node.style[property]) { return node.style[property]; } else if (node.currentStyle) { return node.currentStyle[property]; } else if (document.defaultView &amp;&amp; document.defaultView.getComputedStyle) { var s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baaVRQb.html" rel="bookmark">css样式导入网页的三种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css样式导入网页的三种方法, 仔细一点的朋友都会发现很多大的门户站他们是直接把css写在了文档里面,页也有很多站有link链接也有一些站用import像taobao等.那么他们有什么优点与缺点呢?下面我们来看看吧.  一:直接写在页面里面css 与页面同时被加载,这样的好处可以减少服务器的链接线程这就是为什么大型站都直接写在了文档里面了,因为流量大处处要考虑的. 二:link是导入外部的这样自然要等页面内容加载完之后才加载link的样式了,这样就容易出现网速慢时加载中断,页面显示乱乱的哦我想各			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6mYNb.html" rel="bookmark">CSS&amp;amp&semi;nbsp&semi;position&colon;fixed&amp;amp&semi;nbsp&semi;for&amp;amp&semi;nbsp&semi;IE</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css  position:fixed; 是fixed的用法,配合overflow实现将一个元素固定定位到网页的一个位置上面Main CSShtml {background:#ccc;}body {margin:0; padding:0 10px 0 10px; border:0; height:100%; overflow:auto; background:#ccc;}body {font-family: georgia, serif; font-size:12px;} #menu {disp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0XD0p.html" rel="bookmark">css IE6 position&colon;fixed &lpar;固定定位&rpar;通过position：absolute的解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css教程 ie6 position:fixed (固定定位)通过position:absolute的解决方案,完全使用position:absolute来解决固定定位问题.因为其他的浏览器都支持绝对定位,在ie6,7,8,9,ff,chrome中均测试通过.注意一点:不能给外包含的元素mod-test设置高度,不然的话,是没有滚动条的.而应该在里面设置一个容器,它设置一个高度  &lt;!doctype html public &quot;-//w3c//dtd xhtml 1.0 transition			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2V7v3b.html" rel="bookmark">CSS中position&colon;fixed的使用笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				做开发几年了,在前端开发中,竟然没有留意position:fixed的用法. 我们都知道CSS中定位属性position的值,除了默认的值外,还有absolute,relative和fixed.我平时比较常用absolute和relative,而position:fixed却没多关注.或许是因为当初在CSS中文手册中看到position:fixed旁边有说明&quot;IE5.5及NS6尚不支持此属性&quot;吧. 昨天,在做一个项目时需要使一个层相对于浏览器边框固定,那时用position:absol			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxloXPM.html" rel="bookmark">css中position fixed固定指定位置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				们都知道CSS中定位属性position的值,除了默认的值外,还有absolute,relative和fixed.我平时比较常用absolute和relative,而position:fixed却没多关注.或许是因为当初在CSS中文手册中看到position:fixed旁边有说明&quot;IE5.5及NS6尚不支持此属性&quot;吧. 前段时间,在做一个项目时需要使一个层相对于浏览器边框固定,那时用position:absolute试了下,发觉absolute是对网页边框而言的.后来,上网查了一些根据			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwBQnp.html" rel="bookmark" class="title">阿文分析减肥药网站排名第一的原因</a>
					<div>
						做淘客的站长们(尤其是减肥药推广的).都知道现在减肥药这个词排名第一的是谁的站,这个站是利为汇创始人蒋辉的,现在阿文来分析一下为什么这个站在百度排名第一这么久呢. 这个站是一个单页的站,2009年12 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO6ZRp.html" rel="bookmark" class="title">网站标题的价值定位</a>
					<div>
						网站标题是一个网站的核心关键词,是用户搜索关键词时看到你网站的第一印象,也是百度首先抓取的对象,其重要性就不言而喻了,在&lt;网站标题对网站的核心引导作用&gt;这篇文章中,我已经重点讲述了这一因素 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjyqZz.html" rel="bookmark" class="title">新站上线快速获得排名技巧</a>
					<div>
						这是一个真实的案例,本人做网站有几年,大大小小的网站也有上百个,每做一个新站,我都会用笔记本记录它的相关信息-成长历程,如今做网站排名已经非常有经验,大多数网站都会有好的排名,都会在短时间获得排名.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLoGeb.html" rel="bookmark" class="title">xp下用户程序空间分配（4）：加载主程序</a>
					<div>
						这个是主程序,它的模块信息: 名称 基址 大小 入口点 f:\embed\etools\Debug\bin\bash.exe 00400000 0006f000 0045bb30 对应的内存块: 这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN66qb.html" rel="bookmark" class="title">Word中不同下划线的含义</a>
					<div>
						    Word软件中有很多不同的下划线, 1.红色或绿色波形下划线 当自动检查拼写和语法时,Word用红色波形下划线表示可能的拼写错误,用绿色波形下划线表示可能的语法错误.右键单击红色波形下划线上的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm78jqb.html" rel="bookmark" class="title">Photoshop制作网格图案效果的凹陷字</a>
					<div>
						先看看效果图 素材: photoshop教程教程: 1.新建600*400px大小的文档,编辑填充颜色#535559. 2.打上字体PS学堂的简称&quot;PSXT&quot;,这里字体我选择的是& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElwl6z.html" rel="bookmark" class="title">为Linux系统的VPS服务器开启SSH密钥登录的方法</a>
					<div>
						  为了vps的安全,我开启了vps的ssh 秘钥登陆设置,通过goole搜索资料,操作成功.以下为操作记录.这里假设以root身份,vps的ip为192.168.0.1 第一步:产生秘钥即keys  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXlGqp.html" rel="bookmark" class="title">Win8如何卸载Metro界面下的程序</a>
					<div>
						  知识点分析: 随着Win8的普及,应用软件支持的越来越多,那如果使用不到的程序,具体怎样卸载程序,让我们一起来学习一下. 操作步骤: 鼠标操作方法: 右键单击要卸载的程序,在底部就出现一个应用栏, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze70exM.html" rel="bookmark" class="title">产品设计：万水千山总是情 不要图片行不行</a>
					<div>
						[导读]一款产品真想设计的高端大气国际化,就必须让用户有求真务实占便宜的感觉.否则好看不等于好用.就比如这篇文章中的三款音乐产品,个顶个的美,用各种唯美的图片来吸引用户去听歌,这种逻辑能对么?作者用两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw1Xlz.html" rel="bookmark" class="title">Win7 64位旗舰版系统无法正常关机的4个原因分析</a>
					<div>
						  1.电脑中病毒了,如果win7系统遭到木马程序攻击,那么在win7系统用户在发布关机指令过程中,很难能够顺利关机,因为当病毒入侵计算机过程中,会在很多程序中大量读写,在这种情况下,就很难正常顺利关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o42Bb.html" rel="bookmark" class="title">在RHEL系统上安装Nagios</a>
					<div>
						在管理机上安装rpm包 $ rpm -Uvh http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm $ r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGQ7jb.html" rel="bookmark" class="title">图片-从数据库获取数据绑定到树状菜单</a>
					<div>
						问题描述 从数据库获取数据绑定到树状菜单 我想问:这个树状菜单是那些代码获取数据的? 解决方案 你的第二张图片的showmenu()方法是获取数据的,发了一个请求,后台把数据返回到前台,data就是你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrr2rM.html" rel="bookmark" class="title">vb6&period;0中的as any 怎么向vb&period;net转换</a>
					<div>
						问题描述 程序中应用到了hydraulicsdll.dll,在使用中需要调用dllvb6调用dll的函数如下,里面有个asanyPublicDeclareFunctionDWFluxMinLib&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPX6lp.html" rel="bookmark" class="title">&lbrack;推荐系统&rsqb;欧氏距离和余弦相似度</a>
					<div>
						两者相同的地方,就是在机器学习中都可以用来计算相似度,但是两者的含义有很大差别,以我的理解就是: 前者是看成坐标系中两个点,来计算两点之间的距离: 后者是看成坐标系中两个向量,来计算两向量之间的夹角. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE0gAz.html" rel="bookmark" class="title">请求与响应的装饰）</a>
					<div>
						都说,美是天生的,小朽不以为然哦! 小姐,你的化妆粉,掉了!   化妆(包装,装饰),技术来源生活.下面讲讲怎么个化妆-装饰模式   装饰模式 什么叫Decorator Pattern 给一个类添加一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boREOvz.html" rel="bookmark" class="title">《HTML5 开发实例大全》&mdash;&mdash;导读</a>
					<div>
						前言 从HTML 5标准被推出以来,经过几年的探索和发展,在浏览器公司的努力下,到本书截稿为止,HTML 5已经成为新一代网页技术的标准.目前已经有众多浏览器支持HTML 5的新功能,并且Androi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAovYM.html" rel="bookmark" class="title">Vmware虚拟机快速使用桥接模式上网</a>
					<div>
						把虚拟机设置成桥接模式上网,相当于你的宿主机和虚拟机都是接在同一局域网的交换机上,知道了这个原理,剩下的就是设置的问题: 在虚拟机的设置中,选择使用: 自定义:特定虚拟网络,Vmnet0(桥接模式)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqZNBb.html" rel="bookmark" class="title">jsp-怎么把JSON字符串转换成java字符串或数组或者集合</a>
					<div>
						问题描述 怎么把JSON字符串转换成java字符串或数组或者集合 var chk_value =[]; $('input[name=&quot;zd_resourcecb&quot;]:checked ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA5Y3M.html" rel="bookmark" class="title">server-远程服务器Telnet很慢，但是可以Telnet连接上</a>
					<div>
						问题描述 远程服务器Telnet很慢,但是可以Telnet连接上 如题,我的服务器是server2012 的,.远程桌面登陆上去.然后Telnet远在别的机房的一台服务器server 08 .大概10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPQgrp.html" rel="bookmark" class="title">【cJson】JSON的基本概念</a>
					<div>
						JSON简介 JSON(JavaScript Object Notation) 是一种轻量级的数据交换格式.它基于ECMAScript的一个子集. JSON采用完全独立于语言的文本格式,但是也使用了类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQoY7p.html" rel="bookmark" class="title">名片二维码生成api还有其他的吗，除了草料</a>
					<div>
						问题描述 名片二维码生成api还有其他的吗,除了草料 我想做一个名片二维码生成功能, 上面图片是草料二维码生成的,但是草料的api还要提交申请上面的太麻烦了,我想有没有其他的api来做这个类似的功能. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZEXNb.html" rel="bookmark" class="title">ef-关于EF的引用程序集问题</a>
					<div>
						问题描述 关于EF的引用程序集问题 问题是这样的,假如我现在有一个项目引用了ef,但是在ui层那里忘记引用EntityFrameWork.SqlServer.dll 生成程序成功,但是当运行调试的时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWl45z.html" rel="bookmark" class="title">python新手求助-新手求解 python ！！！！！</a>
					<div>
						问题描述 新手求解 python !!!!! def split_on_separators(original, separators): &quot;&quot;&quot; (str, str)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAd86p.html" rel="bookmark" class="title">android-新线程开启的方法自动跳到主线程</a>
					<div>
						问题描述 新线程开启的方法自动跳到主线程 这是课本上的一个例子,我想跟踪线程,于是加了几处Log打印,但遇到了问题: package com.mingrisoft; import android.ap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKjZOb.html" rel="bookmark" class="title">【Android】关于Android控件EditText的属性InputType的一些经验</a>
					<div>
						关于Android控件EditText的属性InputType的一些经验   来源:http://blog.163.com/inflexible_simple/blog/static/16769468 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKnl3b.html" rel="bookmark" class="title">HTML5 canvas绘制雪花飘落动画（需求分析、知识点、程序编写分布详解）</a>
					<div>
						原文:HTML5 canvas绘制雪花飘落动画(需求分析.知识点.程序编写分布详解) 看到网上很多展示html5雪花飞动的效果,确实非常引人入胜,我相信大家也跟我一样看着心动的同时,也很好奇,想研究下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRkOOb.html" rel="bookmark" class="title">基于c中使用ftruncate&lpar;&rpar;前需要fflush&lpar;&rpar;&comma;使用后需要rewind&lpar;&rpar;的深入探讨&lowbar;C 语言</a>
					<div>
						今天用ftruncate截断文件, 但怎么都不能达到预料的效果, 截断后文件中的内容比较杂, 而且文件大小也保持原来的.添加 fflush() 和 rewind() 后OK.以下是测试代码: 复制代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKvnKz.html" rel="bookmark" class="title">ASP&period;NET中母版页的内容页的文本框的边框显示不了？</a>
					<div>
						问题描述 我使用了母版页,在内容页中使用文本框.可是文本框的边框显示不了?为什么??我自己再创建了一个页面.可是在这个页面中边框却可以显示.母版页的代码如下:&lt;%@MasterLanguage= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1789z.html" rel="bookmark" class="title">C&plus;&plus;外观模式</a>
					<div>
						简述 外观模式(Facade Pattern)又称为门面模式,属于结构型模式.Façade 为子系统中的一组接口提供了一个统一的高层接口,该接口使得子系统更加容易使用. 简述 模式结构 优缺点 适用场 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodLJXM.html" rel="bookmark" class="title">表格存储数据模型和查询操作</a>
					<div>
						摘要        本篇文章主要会详细聊一下表格存储的查询操作,以及如何根据业务的需求来设计表结构以支持特定条件的查询.        在理解查询操作之前,会简单描述一下表格存储的数据模型,以加深对查 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
